<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?php
$sql="
	select *
	from seriehistorica S
	where S.codigoindicador = '" . $sc_indicador . "'  
	and S.codigogranularidade = '" . $sc_granularidade . "'
	and S.codigoperiodicidade = " . $sc_periodicidade . "
	and S.status = 0
	order by S.valorperiodo desc";
	

// debug
// echo $sql;
// exit;

$result=pg_query($dbh, $sql);


if (pg_NumRows($result) == 0) {
	echo 'No momento n&atilde;o h&aacute; valores calculados para este indicador.';
} else {
	echo '&Uacute;ltimo valor apurado = ';

	$nt=pg_fetch_array($result);

	//atribui valor a variaveis locais para db
	$db_valorperiodo   = trim(pg_escape_string($nt['valorperiodo']));
	$db_valorindicador = trim(pg_escape_string($nt['valorindicador']));
	
	//formata o valor
	if ($db_unidadeindicador == '%') {
		$db_valorindicadorformatado = number_format($db_valorindicador, 1, ',', '') . '%';
	} else {
		$db_valorindicadorformatado = number_format($db_valorindicador, 0, ',', '.') . ' ' . $db_unidadeindicador;
	}

	echo $db_valorindicadorformatado;
	echo ' (', $db_valorperiodo , ')';
}
?>
